Subject: [quicwg/base-drafts] IANA review of -transport; question 3 (#4378)

From: Lars Eggert <[email-masked]>
Date: Mon, 16 Nov 2020 22:07:28 -0800

Please see the [review email](https://mailarchive.ietf.org/arch/msg/quic/xlL0IKet4F_QwoiesvANZ32YsKQ) for full context. This issue is tracking the following IANA question:
> IANA Question --> Section 22.1.2 says, "Use of the first codepoint in a range is
intended for use by specifications that are developed through the
standards process [STD] and its allocation MUST be negotiated with
IANA before use." 

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4378

---

From: Magnus Westerlund <[email-masked]>
Date: Tue, 17 Nov 2020 06:53:43 -0800

When talking to IANA today, they did ask about how early allocation (RFC7120) interacts with this question. So I understand why IANA react to the "negotiate" language as that is requiring them to apply value judgment rather than follow basic rules to allocate or not. 

So I think there are a couple of different way here. 

1. Require standards action for allocation with the first unallocated value. During the development phase of that option the document recommends either of these two options.

A. Use a randomly selected value Provisional assignment. When going for approval specify that a new code point is allocated that has that specific property desired (short encoding?). 

B. Request early allocation (RFC7120) for that standards action code point. 

I think what one uses has a lot to do with the perceived maturity of what the code point represent. I think A has significant advantages as if one need to do format changes one can simply request a new provisional code point, that is not possible with B. 

I think there may exist a point of making it clear also for IETF / Standards Process work that there is a point of doing provisional registrations as soon as one need a code point for testing. 

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4378#issuecomment-728980480

---

From: Martin Thomson <[email-masked]>
Date: Tue, 17 Nov 2020 16:06:46 -0800

I think that this is a good plan.  I've created #4389 for that.  This says that the first *available* codepoint is reserved for Standards Action.  I've also pointed to 7120, which was always the intended process (I was just lazy about finding and citing it).

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4378#issuecomment-729289152

---

From: Martin Thomson <[email-masked]>
Date: Wed, 18 Nov 2020 19:51:25 -0800

Closed #4378 via #4389.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4378#event-4013835404

---

From: Martin Thomson <[email-masked]>
Date: Wed, 18 Nov 2020 19:52:21 -0800

Reopened #4378.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4378#event-4013837136